My Project: dgCollisionCompound::dgNodeBase Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgCollisionCompound::dgNodeBase Class Reference

`#include <dgCollisionCompound.h>`

## Public Member Functions

| dgNodeBase ()
| dgNodeBase (const dgNodeBase &copyFrom)
| dgNodeBase (dgCollisionInstance *const instance)
| dgNodeBase (dgNodeBase *const left, dgNodeBase *const right)
| ~dgNodeBase ()
void | CalculateAABB ()
void | SetBox (const dgVector &p0, const dgVector &p1)
bool | BoxTest (const dgOOBBTestData &data) const
bool | BoxTest (const dgOOBBTestData &data, const dgNodeBase *const otherNode) const
dgFloat32 | RayBoxDistance (const dgOOBBTestData &data, const dgFastRayTest &myRay, const dgFastRayTest &otherRay, const dgNodeBase *const otherNode) const
DG_INLINE dgCollisionInstance * | GetShape () const
DG_INLINE dgInt32 | BoxIntersect (const dgFastRayTest &ray, const dgVector &boxP0, const dgVector &boxP1) const

## Public Attributes

dgVector | m_p0
dgVector | m_p1
dgVector | m_size
dgVector | m_origin
dgFloat32 | m_area
dgInt32 | m_type
dgNodeBase * | m_left
dgNodeBase * | m_right
dgNodeBase * | m_parent
dgCollisionInstance * | m_shape
dgTreeArray::dgTreeNode * | m_myNode

## Constructor & Destructor Documentation

## § dgNodeBase() [1/4]

dgCollisionCompound::dgNodeBase::dgNodeBase | ( |  | ) |

## § dgNodeBase() [2/4]

dgCollisionCompound::dgNodeBase::dgNodeBase | ( | const dgNodeBase & | copyFrom | ) |

## § dgNodeBase() [3/4]

dgCollisionCompound::dgNodeBase::dgNodeBase | ( | dgCollisionInstance *const | instance | ) |

## § dgNodeBase() [4/4]

dgCollisionCompound::dgNodeBase::dgNodeBase | ( | dgNodeBase *const | left,
|  | dgNodeBase *const | right
| ) |  |

## § ~dgNodeBase()

dgCollisionCompound::dgNodeBase::~dgNodeBase | ( |  | ) |

## Member Function Documentation

## § BoxIntersect()

DG_INLINE dgInt32 dgCollisionCompound::dgNodeBase::BoxIntersect | ( | const dgFastRayTest & | ray,
|  | const dgVector & | boxP0,
|  | const dgVector & | boxP1
| ) |  | const

inline

## § BoxTest() [1/2]

bool dgCollisionCompound::dgNodeBase::BoxTest | ( | const dgOOBBTestData & | data | ) | const

## § BoxTest() [2/2]

bool dgCollisionCompound::dgNodeBase::BoxTest | ( | const dgOOBBTestData & | data,
|  | const dgNodeBase *const | otherNode
| ) |  | const

## § CalculateAABB()

void dgCollisionCompound::dgNodeBase::CalculateAABB | ( |  | ) |

## § GetShape()

DG_INLINE dgCollisionInstance* dgCollisionCompound::dgNodeBase::GetShape | ( |  | ) | const

inline

## § RayBoxDistance()

dgFloat32 dgCollisionCompound::dgNodeBase::RayBoxDistance | ( | const dgOOBBTestData & | data,
|  | const dgFastRayTest & | myRay,
|  | const dgFastRayTest & | otherRay,
|  | const dgNodeBase *const | otherNode
| ) |  | const

## § SetBox()

void dgCollisionCompound::dgNodeBase::SetBox | ( | const dgVector & | p0,
|  | const dgVector & | p1
| ) |  |

## Member Data Documentation

## § m_area

dgFloat32 dgCollisionCompound::dgNodeBase::m_area

## § m_left

dgNodeBase* dgCollisionCompound::dgNodeBase::m_left

## § m_myNode

dgTreeArray::dgTreeNode* dgCollisionCompound::dgNodeBase::m_myNode

## § m_origin

dgVector dgCollisionCompound::dgNodeBase::m_origin

## § m_p0

dgVector dgCollisionCompound::dgNodeBase::m_p0

## § m_p1

dgVector dgCollisionCompound::dgNodeBase::m_p1

## § m_parent

dgNodeBase* dgCollisionCompound::dgNodeBase::m_parent

## § m_right

dgNodeBase* dgCollisionCompound::dgNodeBase::m_right

## § m_shape

dgCollisionInstance* dgCollisionCompound::dgNodeBase::m_shape

## § m_size

dgVector dgCollisionCompound::dgNodeBase::m_size

## § m_type

dgInt32 dgCollisionCompound::dgNodeBase::m_type

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompound.h
- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompound.cpp